Subject: Re: [16ng] comments about draft-ietf-16ng-ipv6-over-ipv6cs-01.txt

From: "JinHyeock Choi" <[email-masked]>
Date: Fri, 3 Nov 2006 23:07:27 +0900

Dear Frank

>  2 in the section "7. IPv6 prefix assignment"
>  "The prefixes are advertised with the on-link (L-bit)
>  flag set to facilitate Detecting Network Attachment
>  (DNA) operation [RFC4135]."
>
>  Problem:
>  Reference is not proper, that is, RFC4135 does not
>  describe on-link(L-bit) operation.
>  suggestion:
>  check the reference and give the correct reference

Reference is for 'DNA operation', not for 'on-link prefix operation'.
However I come to think that it's better to refer "DNAv6
(draft-ietf-dna-protocol-03.txt)" instead because it better describes
the DNA operation based on prefix.

Thanks for your kind consideration.

Best Regards

JinHyeock
>From [email-masked] Sat Nov  4 03:24:31 2006
Date: Fri, 03 Nov 2006 11:00:33 -0600
From: Basavaraj Patil <[email-masked]>
To: ext Soohong Daniel Park <[email-masked]>,
   <[email-masked]>
cc: Junghoon Jee <[email-masked]>
cc: "Madanapalli, Syam" <[email-masked]>
Subject: [16ng] Re: Common set of the 16ng terminologies

Suggestion to rephrase base station as follows:

Base station (BS): The Base Station (BS) is a logical entity that embodies a
                   full instance of the 802.16d/e MAC and PHY in compliance
                   with the IEEE 802.16 suite of applicable standards.  It
                   provides the layer 1/2 connectivity between the network
                   and the MS.

Of course the above definition of base station is specific to an 802.16d/e
BS and not a generic base station. However in the context of a document that
is specific to 802.16d/e, it makes sense to specify what the base-station
refers to.

Other comments inline:

On 11/1/06 11:26 PM, "ext Soohong Daniel Park" <[email-masked]>
wrote:

> Folks,
> 
> Here is a common set of the 16ng terms to be included
> in the draft-ietf-16ng-ps-goals. For further terms that are
> specific to others document, they can be in that document.
> 
> Any comments are highly welcome. If I am missing anything
> that might be included in this common set, please let me know that.
> 
> So far, thanks Raj for his good comments and feedbacks on that.
> 
> ===================[BEGIN]====================
> 
> o Subscriber Station (SS): An end-user equipment that provides
> connectivity to the 802.16 networks. It can be either fixed/nomadic
> or mobile equipment. In mobile environment, SS represents the
> Mobile Subscriber Station (MS) introduced in IEEE 802.16e
> specification. 
> 
> o Base Station (BS): A generalized equipment sets providing
> connectivity, management, and control between the subscriber
> station and the 802.16 networks.
> 
> o Access Router (AR): An entity that performs an IP routing function
> to provide IP connectivity for subscriber station (SS or MS).
> 
> o IP Subnet: Topological area that uses the same IP address prefix
> where that prefix is not further subdivided except into individual
> addresses as specifed from [I-D.thaler-intarea-multilink-subnet-issues].
>   
> o  Link: Topological area bounded by routers which decrement the
> IPv4 TTL or IPv6 Hop Limit when forwarding the packet as specifed
> from [I-D.thaler-intarea-multilink-subnet-issues]. In case of IPv6
> link model, refer to the [draft-ietf-16ng-ipv6-link-model-analysis].
>  
> o Transport Connection: The MAC layer connection in 802.16 between
> a SS(MS) and BS with a specific QoS attributes. Several types of
> connections are defined and these include broadcast, unicast and multicast.
> Each transport connection is uniquely identified by a 16-bit connection
> identifier (CID). A transport connection is an unique connection intended
> for user traffic. The scope of the transport connection is between the
> SS(MS) and the BS.
> 
> o Dormant mode: A state in which a subscriber station, especially mobile
> station, restricts its ability to receive normal IP traffic by reducing
> monitoring 
> of radio channels. This allows the mobile station to save power and reduces
> signaling load on the 802.16 network. In the dormant mode, the mobile
> station is only listening at scheduled intervals to the paging channel.
> The 802.16 network (e.g. Access Router) maintains state about a mobile
> station which has transitioned to dormant mode and can page it when needed.

In .16 there is no concept of a paging channel. So the above may cause
confusion. The DL-MAP contains the page for an MS. Basically the MS in idle
mode scans periodically for the DL broadcast paging and thus is able to save
power. I am not sure what you mean when you say it reduces signaling load
above. 

> 
> o Connection Identifier (CID): A 16-bit value that identifies a connection to
> equivalent peers in the 802.16 MAC of the SS(MS) and BS.

You may also want to add that connections are unidirectional in nature. For
bidirectional communication, a connection pair is created and the same value
assigned for the UL and DL connection.

-Raj

> 
> ===================[END]====================
> 
> 
> 
> Daniel (Soohong Daniel Park)
> Mobile Convergence Laboratory, SAMSUNG Electronics.

---

From: Basavaraj Patil <[email-masked]>
Date: Fri, 03 Nov 2006 11:13:53 -0600

Hi Frank,

On 11/2/06 7:15 PM, "ext xiayangsong 24512" <[email-masked]> wrote:

> 
> Hi Raj
> 
>  1 in the section "6.3.1. Maximum transmission unit in WiMAX"
> 
>   suggestion for improvement, please add this text:
>     section 4.6.4 of RFC2461 defines a MTU option that an AR
>     can advertise to an MN. If an AR advertises an MTU through RA MTU option,
>     the MN should use the MTU, otherwise, the MN use default MTU.

Agree. 

>  3 in the section "7. IPv6 prefix assignment"
> 
>   Problem:
>       the current text does not explain where the prefix comes from?
>   suggestion for improvement, please add this text:
>       AR can request prefixes from a DHCP server using prefix
>       option defined in RFC3633.

Where the AR gets the prefix from that is sent to the MS is intentionally
omitted from the document. Because that is implementation specific. There
are several ways how the AR can obtain the prefix to be sent to the MS and
the use of DHCP is one of them. So it is best left unspecified.

-Raj 

> BR
> Frank Xia